version: "3"

services:
  dbup-data:
    image: siscc/dotstatsuite-dbup
    container_name: dbup-data
    environment:
      EXECUTION_PARAMETERS: "upgrade --connectionString Server=db;Database=testDataDb;User=sa;Password=yourStrong(!)Password;TrustServerCertificate=True; --dataDb --loginName testLogin --loginPwd testLogin(!)Password --force"
      #EXECUTION_PARAMETERS: "upgrade --connectionString Server=db;Database=TestDataDb;Uid=root;Pwd=password --dataDb --loginName tester --loginPwd pass --force --useMariaDb"
    networks:
      - back-network
    depends_on:
      - db

  dbup-common:
    image: siscc/dotstatsuite-dbup
    container_name: dbup-common
    environment:
      EXECUTION_PARAMETERS: "upgrade --connectionString Server=db;Database=testCommonDb;User=sa;Password=yourStrong(!)Password;TrustServerCertificate=True; --commonDb --loginName testLogin --loginPwd testLogin(!)Password --force"
      #EXECUTION_PARAMETERS: "upgrade --connectionString Server=db;Database=TestCommonDb;Uid=root;Pwd=password --commonDb --loginName tester --loginPwd pass --force --useMariaDb"
    networks:
      - back-network
    depends_on:
      - db

  db:
    image: mcr.microsoft.com/mssql/server:2017-latest-ubuntu
    container_name: mssql
    ports:
      - "1433:1433"
    environment:
      ACCEPT_EULA: Y
      SA_PASSWORD: yourStrong(!)Password
      MSSQL_PID: Express
    # only needed for swarm mode
    healthcheck:
      test: ["CMD", "/opt/mssql-tools/bin/sqlcmd", "-S", "localhost", "-U", "SA", "-P", "yourStrong(!)Password", "-Q", "SELECT 1;"]
      interval: 2s
      timeout: 2s
      retries: 10

    networks:
      - back-network
    
#  db:
#    image: mariadb:10.9
#    container_name: mariadb
#    environment:
#      MARIADB_ROOT_PASSWORD: password
#    command: --lower_case_table_names=1
#    ports:
#      - "1433:1433"
#    networks:
#      - back-network
#    healthcheck:
#      test: bash healthcheck.sh --su-mysql --connect --innodb_initialized
#      interval: 30s
#      timeout: 10s
#      retries: 3
#      start_period: 10s


networks:
  back-network: